# class SISFile

The language number. More...

Definition | `#include <sisfile.h>`
List of all Methods

Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- SISFile ()
- virtual ~SISFile ()
- SisRC compareApp (SISFile* other)
- SisRC fillFrom (uint8_t* buf, off_t len)
- int getLanguage ()
- LangTableEntry* getLanguage (int i)
- uint8_t* getName ()
- uint32_t getResidualEnd ()
- void ownBuffer ()
- bool sameApp (SISFile* other)
- void setDrive (char drive)
- void setFiles (int nFiles)
- void setLanguage (int lang)

#### Public Members

- SISFileHeader m_header
- SISLangRecord* m_langRecords
- SISFileRecord* m_fileRecords
- SISReqRecord* m_reqRecords

## Detailed Description

The language number.

See also: langTable

SISFile ()

### SISFile

~SISFile ()

### ~SISFile

[virtual]

SisRC compareApp (SISFile* other)

### compareApp

Compare uid and version number of this file, with another.

See also: SISFileHeader::compareApp()

SisRC fillFrom (uint8_t* buf, off_t len)

### fillFrom

Populate the fields.

Parameters:

buf | The buffer to read from.
len | The length of the buffer.

int getLanguage ()

### getLanguage

Return the currently selected installation language.

LangTableEntry* getLanguage (int i)

### getLanguage

Find a language entry, based on the sequence number in the SISLangRecord part of the file.

uint8_t* getName ()

### getName

Get the name of this component, in the selected language.

uint32_t getResidualEnd ()

### getResidualEnd

Get the number of bytes that should be copied to the residual sis file on the psion.

void ownBuffer ()

### ownBuffer

bool sameApp (SISFile* other)

### sameApp

Is this the same application?

void setDrive (char drive)

### setDrive

Set the installed drive.

void setFiles (int nFiles)

### setFiles

Set the number of installed files.

void setLanguage (int lang)

### setLanguage

Set the selected installation language.

SISFileHeader m_header

### m_header

SISLangRecord* m_langRecords

### m_langRecords

SISFileRecord* m_fileRecords

### m_fileRecords

SISReqRecord* m_reqRecords

### m_reqRecords

Generated by: rrt on drom on Mon Nov 26 16:06:15 2007, using kdoc 2.0a54.